//https://www.youtube.com/BitaBit

//https://www.bitabittecnologia.com.br

//Link do vídeo deste exemplo: https://youtu.be/DMhvJugT2fE

#include <Wire.h> 

#define ENDERECO_TARGET 8

String str = "";

void setup() 
{
  Serial.begin(9600); //Inicializa a serial com Baud Rate 9600.

  Wire.begin(); //Inicializa a biblioteca, quando o endereço não for passado irá ser o controller no barramento I2C.
}

void loop() 
{
  //Obtém o texto pelo barramento I2C e envia usando a Serial.
  Wire.requestFrom(ENDERECO_TARGET, 23); //Faz a requisição de dados para o target. 23 bytes.

  //Enquanto houver bytes, faz a leitura.
  while(Wire.available())
  {
    char c = Wire.read();
    if(c == '.') break; //Quando encontrar o ponto, para a leitura.
    
    str.concat(String(c));
  }

  Serial.println(str);
  str = "";

  //Obtém o status do LED pela Serial e envia usando I2C.
  if(Serial.available() > 0)
  {
    char leitura_serial;
    bool status_led;

    leitura_serial = Serial.read(); //Obtém o que for digitado no monitor serial.

    status_led = leitura_serial - '0'; //Obtém o valor correto.

    Wire.beginTransmission(ENDERECO_TARGET);
    
    Wire.write(status_led); //Prepara os dados a serem transmitidos no barramento I2C.
    
    Wire.endTransmission(); //Finaliza a transmissão e envia os dados pelo barramento I2C.
  }
  
  delay(50);
}
